﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using DatRD.Models;

namespace DatRD.Controllers
{
    public class MapaController : Controller
    {
        //
        // GET: /Mapa/
        OPEN_DATAEntities db = new OPEN_DATAEntities();


        public ActionResult Index()
        {
            var centros = db.CENTROS_INFO.Select(c => new { c.Latitud, c.longitud });
            ViewBag.Centros = centros.ToArray();
            return View(centros.ToArray());
        }
        public IList<CENTROS_INFO> MisLocalizaciones(string centro)
        {
            //var locations = new List<Location>
            //                        {
            //                            new Location
            //                                {
            //                                    SiteName = "Jardines de Sabatini",
            //                                    Latitude = 40.421749,
            //                                    Longitude = -3.713994,
            //                                    InfoWindow = "InfoWindow de los Jardines de Sabatini"
            //                                },
            //                            new Location
            //                                {
            //                                    SiteName = "Campo del Moro",
            //                                    Latitude = 40.419658,
            //                                    Longitude = -3.718801,
            //                                    InfoWindow = "InfoWindow del Campo del Moro"
            //                                },
            //                            new Location
            //                                {
            //                                    SiteName = "Parque de la Cornisa",
            //                                    Latitude = 40.413254,
            //                                    Longitude = -3.716483,
            //                                    InfoWindow = "InfoWindow del Parque de la Cornisa"
            //                                }
            //                        };

            //var centros = db.CENTROS_INFO.Select(c => new { c.Latitud, c.longitud }).ToList();



            //var centros = from i in db.CENTROS_INFO where i.Provincia == provincia select i;
            var centros = from i in db.CENTROS_INFO
                          join o in db.CENTROS on i.Codigo equals o.cent_codigo
                          where o.cent_nombre == centro
                          select i;
            
            return centros.ToList();
        }
        
    [HttpGet]
    public ActionResult Sync(string centro)
    {
        var provincias = db.CENTROS_INFO.Select(c=>c.Provincia).Distinct();
            //from i in db.CENTROS_INFO select i.Provincia.Distinct();

      ViewBag.Provincias = new SelectList(provincias.AsEnumerable(), "Provincia");
     return View(MisLocalizaciones(centro));
    }
    
        public IList<CENTROS_INFO> MisLocalizacionesProvincia(string centro)
    {

        var centros = from i in db.CENTROS_INFO
                      join o in db.CENTROS on i.Codigo equals o.cent_codigo
                      where i.Provincia == centro
                      select i;

        return centros.ToList();
    }


    [HttpGet]
    public ActionResult SyncProvincia(string centro)
    {
        var provincias = db.CENTROS_INFO.Select(c => c.Provincia).Distinct();
        //from i in db.CENTROS_INFO select i.Provincia.Distinct();

        ViewBag.Provincias = new SelectList(provincias.AsEnumerable(), "Provincia");
        return View(MisLocalizacionesProvincia(centro));
    }



    public void TotalDeCentros(string provincia)
    {
        var totalCentros = from t in db.CENTROS_INFO where t.Provincia == provincia select new { t.MatriculaMatutina, t.MatriculaNocturna, t.MatriculaVespertina };
        int totalMatriculas=0;
        foreach (var total in totalCentros)
        {
            totalMatriculas = Convert.ToInt32(total.MatriculaMatutina + total.MatriculaVespertina + total.MatriculaMatutina);
        }
    }


    }
}
