﻿using DotNet.Highcharts;
using DotNet.Highcharts.Enums;
using DotNet.Highcharts.Helpers;
using DotNet.Highcharts.Options;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using DatRD.Models;

namespace DatRD.Controllers
{
    public class ComparacionController : Controller
    {
        //
        // GET: /Comparacion/

        Censo2010Entities3 db = new Censo2010Entities3();
        OPEN_DATAEntities dbo = new OPEN_DATAEntities();

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Internacional()
        {
            DotNet.Highcharts.Highcharts chart = new DotNet.Highcharts.Highcharts("chart")
         .SetXAxis(new XAxis
         {
             Categories = new[] { "Cuba ","Guyana","Jamaica","Republica Domicana","Suriname","Trinidad and Tobago" }
         })
         .SetSeries(new []
         {
                        new Series { Name = "Poblacion", Data = new Data(new object[] { 11163934, 741908, 2697983, 9378818, 560157, 1226383})}
                        //new Series { Name = "Analfabetizacion", Data = new Data(new object[] { 0, 8, 12,22.9, 10.4, 1.4 })},
                        //new Series { Name = "Nivel de Desempleo", Data = new Data(new object[] { new object[] { 3.8, 11.0, 14.2, 14.8, 9, 6.3 } })},
                        //new Series { Name = "Cantidad de Centros Educativos", Data = new Data(new object[] { 9673, 3000, 2595, 11594, 45000, 50000})}
            
            
         }
         
         );


            chart.InitChart(new Chart() { DefaultSeriesType = ChartTypes.Column})
                .SetTitle(new Title() { Text = "Censo 2010 " });
            //pass Chart1Model using ViewBag
            ViewBag.Chart1Model = chart;

            DotNet.Highcharts.Highcharts chart2 = new DotNet.Highcharts.Highcharts("chart2")
      .SetXAxis(new XAxis
      {
          Categories = new[] { "cuba ", "guyana", "jamaica", "republica domicana", "suriname", "trinidad and tobago" }
      })
         .SetSeries(new Series
         {
             Data = new Data(new object[] { 0, 8, 12,22.9, 10.4, 1.4}),

         });


            chart2.InitChart(new Chart() { DefaultSeriesType = ChartTypes.Line })
                .SetTitle(new Title() { Text = "" });
            //pass Chart1Model using ViewBag
            ViewBag.Chart2Model = chart2;

            DotNet.Highcharts.Highcharts chart3 = new DotNet.Highcharts.Highcharts("chart3")
      .SetXAxis(new XAxis
      {
          Categories = new[] { "cuba ", "guyana", "jamaica", "republica domicana", "suriname", "trinidad and tobago" }
      })
         .SetSeries(new Series
         {
             Data = new Data(new object[] { 3.8, 11.0, 14.2, 14.8, 9, 6.3 }),

         });



            chart3.InitChart(new Chart() { DefaultSeriesType = ChartTypes.Area })
                .SetTitle(new Title() { Text = "" });
            //pass Chart1Model using ViewBag
            ViewBag.Chart3Model = chart3;

            DotNet.Highcharts.Highcharts chart4 = new DotNet.Highcharts.Highcharts("chart4")
      .SetXAxis(new XAxis
      {
          Categories = new[] { "cuba ", "guyana", "jamaica", "republica domicana", "suriname", "trinidad and tobago" }
      })
         .SetSeries(new Series
         {
             Data = new Data(new object[] { 9673, 3000, 2595, 11594, 3000, 1581 }),

         });



            chart4.InitChart(new Chart() { DefaultSeriesType = ChartTypes.Area })
                .SetTitle(new Title() { Text = "" });
            //pass Chart1Model using ViewBag
            ViewBag.Chart4Model = chart4;
            return View("PRINCIPAL");
        }









        public ActionResult Regional()
        {
            DotNet.Highcharts.Highcharts chart = new DotNet.Highcharts.Highcharts("chart")
         .SetXAxis(new XAxis
         {
             Categories = new[] { "Region Este ", "Region Note o Cibao", "Region Sur" }
         })
         .SetSeries(new[]
         {
                        new Series { Name = "Poblacion", Data = new Data(new object[] { 11163934, 741908, 2697983})}
                        //new Series { Name = "Analfabetizacion", Data = new Data(new object[] { 0, 8, 12,22.9, 10.4, 1.4 })},
                        //new Series { Name = "Nivel de Desempleo", Data = new Data(new object[] { new object[] { 3.8, 11.0, 14.2, 14.8, 9, 6.3 } })},
                        //new Series { Name = "Cantidad de Centros Educativos", Data = new Data(new object[] { 9673, 3000, 2595, 11594, 45000, 50000})}
            
            
         }

         );


            chart.InitChart(new Chart() { DefaultSeriesType = ChartTypes.Column })
                .SetTitle(new Title() { Text = "" });
            //pass Chart1Model using ViewBag
            ViewBag.Chart1Model = chart;

            DotNet.Highcharts.Highcharts chart2 = new DotNet.Highcharts.Highcharts("chart2")
      .SetXAxis(new XAxis
      {
          Categories = new[] { "Region Este ", "Region Note o Cibao", "Region Sur" }
      })
         .SetSeries(new Series
         {
             Data = new Data(new object[] { 0, 8, 12}),

         });


            chart2.InitChart(new Chart() { DefaultSeriesType = ChartTypes.Line })
                .SetTitle(new Title() { Text = " " });
            //pass Chart1Model using ViewBag
            ViewBag.Chart2Model = chart2;

            DotNet.Highcharts.Highcharts chart3 = new DotNet.Highcharts.Highcharts("chart3")
      .SetXAxis(new XAxis
      {
          Categories = new[] { "Region Este ", "Region Note o Cibao", "Region Sur" }
      })
         .SetSeries(new Series
         {
             Data = new Data(new object[] { 3.8, 11.0, 14.2}),

         });



            chart3.InitChart(new Chart() { DefaultSeriesType = ChartTypes.Area })
                .SetTitle(new Title() { Text = "" });
            //pass Chart1Model using ViewBag
            ViewBag.Chart3Model = chart3;

            DotNet.Highcharts.Highcharts chart4 = new DotNet.Highcharts.Highcharts("chart4")
      .SetXAxis(new XAxis
      {
          Categories = new[] { "Region Este ", "Region Note o Cibao", "Region Sur" }
      })
         .SetSeries(new Series
         {
             Data = new Data(new object[] { 9673, 3000, 2595 }),

         });



            chart4.InitChart(new Chart() { DefaultSeriesType = ChartTypes.Area })
                .SetTitle(new Title() { Text = "" });
            //pass Chart1Model using ViewBag
            ViewBag.Chart4Model = chart4;
            return View("PRINCIPAL");
        }

    

    }
}
